/* convert() - converts machine dependend character standards */

/* This is convert.h */

#if defined(__TURBOC__) || defined(__STDC__)
#define __ARGS(x)       x
#else
#define __ARGS(x)       ()
#define const
#endif

#define  BIN  255

#define  ISO    0
#define  dumb   1
#define  TeX    2
#define  IBM7   3
#define  ROMAN8 4
#define  IBMPC  5
#define  ATARI  6

#define  CHARSETS  7  /* # of the lines above  defined charsets */
#define  CHARS    96  /* 96 ISO char's are defined */

struct charsets {
  char *name;
  int ind;
};

void charset_init __ARGS((void));
int get_charset_by_name __ARGS((char *buf));
char *get_charset_by_ind __ARGS((int ind));
char *list_charsets __ARGS((void));
char *convert __ARGS((int in, int out, char *string));
